# parsl.monitoring.radios.udp.UDPRadio

class parsl.monitoring.radios.udp.UDPRadio(*, port: int | None = None, atexit_timeout: int = 3, address: str, debug: bool = False, hmac_digest: str = 'sha512')
  __init__(*, port: int | None = None, atexit_timeout: int = 3, address: str, debug: bool = False, hmac_digest: str = 'sha512')

  Methods

  `__init__`(*[, port, atexit_timeout, debug, ...]) |
  `create_receiver`(run_dir, resource_msgs) | Create a receiver for this RadioConfig, and update this RadioConfig with enough context to create senders.
  `create_sender`() | Create a sender to connect to the receiver created by an earlier call to create_receiver.

  create_receiver(run_dir: str, resource_msgs: Queue) → MonitoringRadioReceiver

    Create a receiver for this RadioConfig, and update this RadioConfig with enough context to create senders.

  create_sender() → MonitoringRadioSender

    Create a sender to connect to the receiver created by an earlier call to create_receiver.